<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.fdkankan</groupId>
		<artifactId>4dkankan-parent</artifactId>
		<version>2.0.0</version>
	</parent>
	<groupId>com.fdkankan</groupId>
	<artifactId>4dkankan-center-modeling</artifactId>
	<version>2.0.0</version>
	<name>4dkankan-center-modeling</name>
	<description>计算中心</description>

	<properties>
		<java.version>1.8</java.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>com.fdkankan</groupId>
			<artifactId>4dkankan-center-platform-api</artifactId>
			<version>2.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.fdkankan</groupId>
			<artifactId>4dkankan-common-utils</artifactId>
			<version>2.0.0</version>
		</dependency>

		<dependency>
			<groupId>com.fdkankan</groupId>
			<artifactId>4dkankan-common-mq</artifactId>
			<version>2.0.0</version>
		</dependency>

		<dependency>
			<groupId>com.fdkankan</groupId>
			<artifactId>4dkankan-common-db</artifactId>
			<version>2.0.0</version>
		</dependency>

		<dependency>
			<groupId>com.fdkankan</groupId>
			<artifactId>4dkankan-common-redis</artifactId>
			<version>2.0.0</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<!-- 钉钉sdk -->
		<dependency>
			<groupId>com.dingtalk.open</groupId>
			<artifactId>taobao-sdk-java-auto</artifactId>
			<version>1479188381469-20211020</version>
		</dependency>
		<dependency>
			<groupId>com.google.firebase</groupId>
			<artifactId>firebase-admin</artifactId>
			<version>6.8.1</version>
		</dependency>
		<dependency>
			<groupId>com.fdkankan</groupId>
			<artifactId>4dkankan-sdk-oss</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
			<exclusions>
				<exclusion>
					<artifactId>jackson-annotations</artifactId>
					<groupId>com.fasterxml.jackson.core</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid</artifactId>
		</dependency>

		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
		</dependency>

<!--		<dependency>-->
<!--			<groupId>org.springframework</groupId>-->
<!--			<artifactId>spring-webmvc</artifactId>-->
<!--			<version>5.3.13</version>-->
<!--		</dependency>-->

		<!-- https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-annotations -->
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-annotations</artifactId>
			<version>2.12.3</version>
		</dependency>


	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

</project>
